Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xjavadoc.filesystem
Interface AbstractFile

All Known Implementing Classes:
  ReaderFile, XJavadocFile

public interface AbstractFile

An interface that allows XJavadoc to read and write from any source/destination and not just files.

Author:
  Dmitri Colebatch

Method Summary
`OutputStream` | `getOutputStream()` Get an outputstream for the file.
`String` | `getPath()`
`Reader` | `getReader()` Obtain a reader for the file.
`Reader` | `getReader(String enc)`
`Writer` | `getWriter()` Obtain a writer for the file.
`boolean` | `isWriteable()` Determine if the file is writeable or not.
`long` | `lastModified()` Get the last modified timestamp of the file, or 0 if not available.

Method Detail

### getReader

    public Reader getReader()
                     throws IOException

  Obtain a reader for the file.

  Returns:
  Throws:
    `IOException`

### getWriter

    public Writer getWriter()
                     throws IOException

  Obtain a writer for the file.

  Returns:
  Throws:
    `IOException`

### isWriteable

    public boolean isWriteable()

  Determine if the file is writeable or not.

  Returns:

### lastModified

    public long lastModified()

  Get the last modified timestamp of the file, or 0 if not available.

  Returns:

### getOutputStream

    public OutputStream getOutputStream()
                                 throws IOException

  Get an outputstream for the file.

  Returns:
  Throws:
    `IOException`

### getPath

    public String getPath()

### getReader

    public Reader getReader(String enc)
                     throws UnsupportedEncodingException,
                            FileNotFoundException

  Returns:
  Throws:
    `UnsupportedEncodingException`
    `FileNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2004 XDoclet Team. All Rights Reserved.